PROJECT(doctermbuilder)
cmake_minimum_required(VERSION 2.8.0)

find_package(Corpus2 1.0.9 REQUIRED)
set(LIBS ${LIBS} ${Corpus2_LIBRARIES})

find_package(PwrUtils 1.0.1 REQUIRED)
set(LIBS ${LIBS} ${PwrUtils_LIBRARY})

FIND_PACKAGE(Boost COMPONENTS program_options system)
link_directories(${Boost_LIBRARY_DIRS})

set(LIBS ${LIBS} ${Boost_LIBRARIES})

find_package(ICU REQUIRED)
include_directories(${ICU_INCLUDE_DIR})
set(LIBS ${LIBS} ${ICU_LIBRARIES} ${ICU_I18N_LIBRARIES})

find_package(ANTLR REQUIRED)
include_directories(${ANTLR_INCLUDE_DIR})

set(LIBS ${LIBS} corpus2_nerreader corpus2 antlr)

add_executable(questionbuilder main.cpp config.cpp questionbuilder.cpp)
target_link_libraries(questionbuilder ${LIBS})

